/* 
    CMC RPC Client library
    Copyright (C) 2010 Dell, Inc

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/
#ifndef CMCRPC_C_SSNMGR_H_
#define CMCRPC_C_SSNMGR_H_

#define SSN_MAX_TABLESZ 24
#define SSN_CFG_SERIALEN "SERIAL_enable"
#define SSN_TYPE_SERIAL 1
#define SSN_IP_LEN  INET6_ADDRSTRLEN + 1
#define SSN_TYPE_MAX            10
#define SSN_TYPE_SERIAL_NOAUTH  8

int  ssn_entry_list_rpc(int ssntype, const char *username, const char *ip, 
		       int *sidlist, int *numfound);
int  ssn_close_rpc(unsigned int sid);
void ssn_log_rpc(int targetlog, const char *fmt, ...);
int  ssn_is_password_mode_rpc();
int  ssn_is_vendor_mode_rpc();
int ssn_check_dcw_rpc(int sid);

#endif
